# flatpak remote-info

flatpak

Developer
Alexander
Larsson
alexl@redhat.com
flatpak remote-info
1

# flatpak-remote-info

Show information about an application or runtime in a remote

                    flatpak remote-info
                    OPTION
                    REMOTE
                    REF

## Description

Shows information about the runtime or application REF from the remote repository with the name REMOTE. You can find all configured remote repositories with flatpak remotes.

By default, the output is formatted in a friendly format. If you specify one of the `--show-…` options, the output is instead formatted in a machine-readable format.

Unless overridden with the `--system`, `--user`, or `--installation` options, this command uses either the default system-wide installation or the per-user one, depending on which has the specified REMOTE.

## Options

The following options are understood:

`-h`
`--help`

  Show help options and exit.

`--user`

  Use the per-user configuration.

`--system`

  Use the default system-wide configuration.

`--installation=NAME`

  Use a system-wide installation specified by NAME among those defined in `/etc/flatpak/installations.d/`. Using `--installation=default` is equivalent to using `--system`.

`--runtime`

  Assume that REF is a runtime if not explicitly specified.

`--app`

  Assume that REF is an app if not explicitly specified.

`--arch=ARCH`

  The default architecture to look for, if not given explicitly in the REF.

`--commit=COMMIT`

  Show information about the specific commit, rather than the latest version.

`--log`

  Display a log of previous versions.

`-r`
`--show-ref`

  Show the matched ref.

`-c`
`--show-commit`

  Show the commit id.

`-p`
`--show-parent`

  Show the parent commit id.

`-m`
`--show-metadata`

  Show the metadata.

`-v`
`--verbose`

  Print debug information during command processing.

`--ostree-verbose`

  Print OSTree debug information during command processing.

## Examples

`$ flatpak --user remote-info flathub org.gnome.gedit`

    Ref: app/org.gnome.gedit/x86_64/stable
    ID: org.gnome.gedit
    Arch: x86_64
    Branch: stable
    Date: 2017-07-31 16:05:22 +0000
    Subject: Build org.gnome.gedit at 3ec291fc1ce4d78220527fa79576f4cc1481ebe5
    Commit: 3de7e9dde3bb8382aad9dfbbff20eccd9bf2100bc1887a3619ec0372e8066bf7
    Parent: -
    Download size: 3,4 MB
    Installed size: 11,1 MB
    Runtime: org.gnome.Platform/x86_64/3.24

## See also

flatpak 1, flatpak-remotes 1 flatpak-remote-ls 1